<?php

namespace App\Events;

use Illuminate\Queue\SerializesModels;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;

class StatusLiked implements ShouldBroadcast
{
  use Dispatchable, InteractsWithSockets, SerializesModels;

  public $cawangan,$namateller;

  public function __construct($cawangan,$namateller)
  {
      $this->cawangan = $cawangan;
      $this->namateller = $namateller;
  }

  public function broadcastOn()
  {
    return ['status-liked'];
  }

  public function broadcastAs()
  {
    return 'my-event';
  }
}